Subject: Re: linux-next: manual merge of the nand tree with the mtd-fixes tree

From: Miquel Raynal <[email-masked]>
Date: Fri, 25 Nov 2022 10:05:04 +0100

Hi Jean,

[email-masked] wrote on Fri, 25 Nov 2022 09:46:34 +1100:

> Hi all,
> 
> Today's linux-next merge of the nand tree got a conflict in:
> 
>   drivers/mtd/nand/onenand/Kconfig
> 
> between commit:
> 
>   c717b9b7d6de ("mtd: onenand: omap2: add dependency on GPMC")
> 
> from the mtd-fixes tree and commit:
> 
>   b46ff0780f17 ("mtd: onenand: omap2: Drop obsolete dependency on COMPILE_TEST")

As this commit is not super urgent and because I want to make the merge
process as smooth as possible, I'll drop it from my branches. Please
rebase and resend when -rc1 is out and I'll apply right away.

Thanks Stephen for the report.

Cheers,
Miquèl

> 
> from the nand tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
>